light hottLightPointcloudShader(
string pointcloudName = "[passinfo rmanRenderRadiosityPass filename]";
string __category = "occlusion";
float control = 1;
float bias = 0.01;
float falloff = 5;
float maxdist = 45;
float maxvariation = 0.01;
)
{
	uniform string pointcloudMap = pointcloudName;
	normal Nn = normalize(N);
	if (control != 0) {
		if (__category == "occlusion") {
			illuminate( Ps + Nn ){
				Cl = occlusion(Ps, Nn, 0,
					"pointbased", 1,
					"filename", pointcloudName,
					"clamp", 1,
					"bias", bias,
					"falloff", falloff,
					"maxdist", maxdist,
					"maxvariation", maxvariation);
			}
		} else if (__category == "indirect") {
			illuminate( Ps + Nn ){
				Cl = indirectdiffuse(Ps, Nn, 0,
					"pointbased", 1,
					"filename", pointcloudMap,
					"clamp", 1,
					"sortbleeding", 1,
					"bias", bias,
					"falloff", falloff,
					"maxdist", maxdist,
					"maxvariation", maxvariation);
			}
		}
	}
}
